PDA

View Full Version : Sencha SDK Tools install syntax error



buffalo billion
10 Jan 2012, 8:38 AM
I'm trying to install the Sencha SDK Tools version 1.2.3 on 64b Linux. Run I run "sudo sh SenchaSDKTools-1.2.3-linux-x64-installer.run", I get the error:

SenchaSDKTools-1.2.3-linux-x64-installer.run: 1: Syntax error: "(" unexpected

Anyone seen this issue, and can help?

mitchellsimoens
10 Jan 2012, 9:02 AM
I have moved this to the SDK Tools forum.

buffalo billion
10 Jan 2012, 11:23 AM
I was attempting to run the installer using


sudo sh SenchaSDKTools-1.2.3-linux-x64-installer.run
or

sudo SenchaSDKTools-1.2.3-linux-x64-installer.run

What I had to do was to first make the downloaded .run file executable:

chmod +x SenchaSDKTools-1.2.3-linux-x64-installer.run

then, ran it using

./SenchaSDKTools-1.2.3-linux-x64-installer.run

and it worked!